Page MenuHomePhabricator

Edits to Flow are marked as Wikidata edits in enhanced RC
Closed, ResolvedPublic

Description

Screenshot from mediawiki.org:

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : wmf/1.30.0-wmf.7Do not override other flags on enhanced recent changes
mediawiki/extensions/Flow : masterDo not override other flags on enhanced recent changes

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2017, 8:57 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 29 2017, 9:00 AM

Change 362164 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Flow@master] Do not override other flags on enhanced recent changes

https://gerrit.wikimedia.org/r/362164

Hmm, @Mattflaschen-WMF and I noticed a bug on mw.org yesterday where groups of Flow edits had a D even though none of them were Wikidata edits, but it looks like this case might be different. All changes in the group are marked D which is wrong, but at least some of them truly are Wikidata edits. So it could be that we found symptoms of the same bug, but they could also be different.

Please review ^^.

Change 362164 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Do not override other flags on enhanced recent changes

https://gerrit.wikimedia.org/r/362164

What was checked:

  • the edits reported in the task were not marked as Wikidata entires in recentchanges table
  • the general functionality of 'Group changes by page in recent changes and watchlist' option was checked for regression - all seems to be working.
  • checked mediawiki RC for other incorrect cases of grouping edits (for Wikidata and others) - none was found

Note: presently betalabs does not fully support Wikidata integration, e.g. T170020: Wikidata sitelinks does not link to beta cluster

Change 364337 had a related patch set uploaded (by Mattflaschen; owner: Matěj Suchánek):
[mediawiki/extensions/Flow@wmf/1.30.0-wmf.7] Do not override other flags on enhanced recent changes

https://gerrit.wikimedia.org/r/364337

Change 364337 merged by jenkins-bot:
[mediawiki/extensions/Flow@wmf/1.30.0-wmf.7] Do not override other flags on enhanced recent changes

https://gerrit.wikimedia.org/r/364337

Mentioned in SAL (#wikimedia-operations) [2017-07-10T23:25:45Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.7/extensions/Flow/Hooks.php: SWAT: [[gerrit:364337|Do not override other flags on enhanced recent changes]] T169181 (duration: 00m 42s)

Etonkovidova added a comment.EditedJul 17 2017, 9:30 PM

@Mattflaschen-WMF

I was checking the fix in mediawiki (1.30.0-wmf.9). And I ran into couple of confusing issues:

RC page with only 'Wikidata edits' filter with the option ' Group changes by page in recent changes and watchlist' enabled shows

(1) Just to confirm that the following is the expected behavior. If only one of the grouped changes is a wikidata change, then the collapsed state does not display the 'D' flag.

(2) There is a strange case when a group of edits does not display 'D' in the collapsed state and does not have 'D' for any edit when you expand the group:

When I click on on the link '2 changes' - there will be no changes.
https://www.mediawiki.org/w/index.php?title=User:Smalyshev_(WMF)/Countries_and_States&curid=595964&diff=2186084&oldid=2186084

Questions:

  • Is this a kind of an outlier or it's an indication that some edits are not flagged correctly?
  • Should it be in a separate ticket? No relation to the issue fixed?

(2) There is a strange case when a group of edits does not display 'D' in the collapsed state and does not have 'D' for any edit when you expand the group:

That's certainly T169330.

The original task can be reproduced with a new Flow topic with two posts (the topic and all the posts should be on the same day, and can be the same user).

Thx, @Mattflaschen-WMF - re-checked in betalabs and wmf.9 and wmf.10 - the issue seems to be fixed.